<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonRxMixrInPwrRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonRxMixrInPwrRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which the xWR device sends to the host, containing the measured RX mixer input voltage swing values. The xWR device sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_MIXER_IN_PWR_REPORT.  
 <a href="structrl_mon_rx_mixr_in_pwr_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a72e02036a9c40a0396706db0f34fa4b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72e02036a9c40a0396706db0f34fa4b8"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_mixr_in_pwr_rep__t.html#a72e02036a9c40a0396706db0f34fa4b8">statusFlags</a></td></tr>
<tr class="memdesc:a72e02036a9c40a0396706db0f34fa4b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding <br />
 to various threshold checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 0 STATUS_MIXER_IN_POWER_RX0 <br />
 1 STATUS_MIXER_IN_POWER_RX1 <br />
 2 STATUS_MIXER_IN_POWER_RX2 <br />
 3 STATUS_MIXER_IN_POWER_RX3 <br />
 15:4 RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a72e02036a9c40a0396706db0f34fa4b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab38b533f0ceb036c1598ebf1b888c764"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab38b533f0ceb036c1598ebf1b888c764"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_mixr_in_pwr_rep__t.html#ab38b533f0ceb036c1598ebf1b888c764">errorCode</a></td></tr>
<tr class="memdesc:ab38b533f0ceb036c1598ebf1b888c764"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:ab38b533f0ceb036c1598ebf1b888c764"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9e4db1e769999af0474bd0b7596935a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9e4db1e769999af0474bd0b7596935a"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_mixr_in_pwr_rep__t.html#ab9e4db1e769999af0474bd0b7596935a">profIndex</a></td></tr>
<tr class="memdesc:ab9e4db1e769999af0474bd0b7596935a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile Index for which this monitoring report applies. <br /></td></tr>
<tr class="separator:ab9e4db1e769999af0474bd0b7596935a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d07991cca4e15e8a42aacef11a85e88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d07991cca4e15e8a42aacef11a85e88"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_mixr_in_pwr_rep__t.html#a7d07991cca4e15e8a42aacef11a85e88">reserved0</a></td></tr>
<tr class="memdesc:a7d07991cca4e15e8a42aacef11a85e88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a7d07991cca4e15e8a42aacef11a85e88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdc57ab96fabafd117c5850f36ffea4b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acdc57ab96fabafd117c5850f36ffea4b"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_mixr_in_pwr_rep__t.html#acdc57ab96fabafd117c5850f36ffea4b">reserved1</a></td></tr>
<tr class="memdesc:acdc57ab96fabafd117c5850f36ffea4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:acdc57ab96fabafd117c5850f36ffea4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45b11799418c3af3a211db7439a26ff6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45b11799418c3af3a211db7439a26ff6"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_mixr_in_pwr_rep__t.html#a45b11799418c3af3a211db7439a26ff6">rxMixInVolt</a></td></tr>
<tr class="memdesc:a45b11799418c3af3a211db7439a26ff6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured RX mixer input voltage swing values are <br />
 reported here. The byte location of the value for each <br />
 receivers is tabulated here- <br />
 Byte location <br />
 Rx0 0 <br />
 Rx1 1 <br />
 Rx2 2 <br />
 Rx3 3 <br />
 1 LSB = 1800 mV/256, unsigned number <br />
 Only the entries of enabled RX channels are valid. <br />
. <br /></td></tr>
<tr class="separator:a45b11799418c3af3a211db7439a26ff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84f826744008457a097834c5fcf93b21"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84f826744008457a097834c5fcf93b21"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_mixr_in_pwr_rep__t.html#a84f826744008457a097834c5fcf93b21">reserved2</a></td></tr>
<tr class="memdesc:a84f826744008457a097834c5fcf93b21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a84f826744008457a097834c5fcf93b21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e39914be56a2c4aae57168f6548e29a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e39914be56a2c4aae57168f6548e29a"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_mixr_in_pwr_rep__t.html#a0e39914be56a2c4aae57168f6548e29a">timeStamp</a></td></tr>
<tr class="memdesc:a0e39914be56a2c4aae57168f6548e29a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit width) <br />
. <br /></td></tr>
<tr class="separator:a0e39914be56a2c4aae57168f6548e29a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which the xWR device sends to the host, containing the measured RX mixer input voltage swing values. The xWR device sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_MIXER_IN_PWR_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
